aboutsummaryrefslogtreecommitdiffstats
path: root/testing/rethinkdb/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-07-04 17:43:48 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2015-07-04 17:45:44 +0000
commitfd734b5b4554dd8b928badc063029e5a842b4ae1 (patch)
treeafae90f896585b2e4feebc6a64ebfa03d08958fe /testing/rethinkdb/APKBUILD
parent8715ec73038358802f1ea921d79c80d77f246ec2 (diff)
downloadaports-fd734b5b4554dd8b928badc063029e5a842b4ae1.tar.gz
aports-fd734b5b4554dd8b928badc063029e5a842b4ae1.tar.bz2
aports-fd734b5b4554dd8b928badc063029e5a842b4ae1.tar.xz
testing/rethinkdb: enable and set paxmark
Diffstat (limited to 'testing/rethinkdb/APKBUILD')
-rw-r--r--testing/rethinkdb/APKBUILD11
1 files changed, 8 insertions, 3 deletions
diff --git a/testing/rethinkdb/APKBUILD b/testing/rethinkdb/APKBUILD
index afbc1148c9..bab967d59a 100644
--- a/testing/rethinkdb/APKBUILD
+++ b/testing/rethinkdb/APKBUILD
@@ -5,12 +5,13 @@ pkgver=2.0.3
pkgrel=0
pkgdesc="Distributed powerful and scalable NoSQL database"
url="http://www.rethinkdb.com"
-arch=""
+arch="all"
license="AGPL"
depends=""
depends_dev="protobuf-dev icu-dev openssl-dev curl-dev boost-dev
libexecinfo-dev"
-makedepends="$depends_dev bash python linux-headers bsd-compat-headers m4"
+makedepends="$depends_dev bash python linux-headers bsd-compat-headers m4
+ paxmark"
install=""
pkgusers=rethinkdb
pkggroups=rethinkdb
@@ -40,7 +41,10 @@ build() {
--dynamic all \
--with-system-malloc \
|| return 1
- make LDFLAGS="$LDFLAGS -lexecinfo" || return 1
+ export LDFLAGS="$LDFLAGS -lexecinfo"
+ make || paxmark -m \
+ build/external/v8_3.30.33.16/build/out/x64.release/mksnapshot
+ make || return 1
}
package() {
@@ -56,6 +60,7 @@ package() {
install -d -o $pkgname -g $pkgname "$pkgdir"/var/lib/rethinkdb || return 1
install -Dm755 "$srcdir"/$pkgname.initd \
"$pkgdir"/etc/init.d/$pkgname || return 1
+ paxmark -m "$pkgdir"/usr/bin/rethinkdb || return 1
rm -f "$pkgdir"/usr/lib/*.la
}